gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A FontSelection is a widget that allows the user to select a font.

The FontSelection widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the widget to provide a box for selecting fonts.

Filters can be used to limit the fonts shown. There are 2 filters in the FontSelection - a base filter and a user filter. The base filter can not be changed by the user, so this can be used when the user must choose from the restricted set of fonts (e.g. for a terminal-type application you may want to force the user to select a fixed-width font).

The user filter can be changed or reset by the user, by using the 'Reset Filter' button or changing the options on the 'Filter' page of the widget.

Gtk.VBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of FontSelection, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to construct a new FontSelection

  Creates a new FontSelection widget that allows the user to select from the available fonts.

- Property
  System.String Manage the name of the font that is selected in this widget. The name of a system font to select. The name of the currently selected font.

  If this property is used to alter the widget's font name to a font that could not be found, the widget will retain its original font selection.

- Property
  System.String The text used to display a preview of the selected font. Text that should be displayed using the selected font. The text currently displaying the selected font.

  This property determines the exact string that is displayed in the 'preview area' of the FontSelection.

- Property
  Gdk.Font Get the that is currently selected. A Gdk font object representing the selected font, or null if no font is selected.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.